> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Информация об игре

> Возвращает информацию о конкретной игре, включая доступные издания и цены



## OpenAPI

````yaml GET /gifts/catalog/{appId}
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /gifts/catalog/{appId}:
    get:
      description: >-
        Возвращает информацию о конкретной игре, включая доступные издания и
        цены
      parameters:
        - name: appId
          in: path
          description: Идентификатор приложения Steam
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Информация об игре
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GiftGameResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GiftGameResponse:
      type: object
      properties:
        appId:
          description: Идентификатор приложения Steam
          type: integer
        slug:
          description: Уникальный идентификатор игры (например, `steam-730`)
          type: string
        type:
          description: Тип приложения Steam (`game`, `dlc`, `demo` и др.)
          type: string
        isDlc:
          description: Флаг — является ли приложение DLC
          type: boolean
        isFree:
          description: Флаг — является ли игра бесплатной
          type: boolean
        requiredAge:
          description: Минимальный возраст для игры
          type: integer
        title:
          description: Название игры
          type: string
        shortDescription:
          description: Краткое описание игры
          type: string
        website:
          description: Официальный сайт игры
          type: string
        media:
          description: Медиа-ресурсы игры
          type: object
          properties:
            header:
              description: URL обложки игры (460×215)
              type: string
            capsule:
              description: URL капсулы игры (231×87)
              type: string
            background:
              description: URL фонового изображения страницы игры
              type: string
            screenshots:
              description: Скриншоты игры
              type: array
              items:
                type: object
                properties:
                  thumbnail:
                    description: URL уменьшенного скриншота
                    type: string
                  full:
                    description: URL полного скриншота
                    type: string
        genres:
          description: Жанры игры (например, `Action`, `RPG`)
          type: array
          items:
            type: string
        categories:
          description: >-
            Категории Steam (например, `Single-player`, `Multi-player`, `Steam
            Achievements`)
          type: array
          items:
            type: string
        developers:
          description: Разработчики игры
          type: array
          items:
            type: string
        publishers:
          description: Издатели игры
          type: array
          items:
            type: string
        release:
          description: Информация о дате выхода
          type: object
          properties:
            date:
              description: Дата выхода игры
              type: string
            comingSoon:
              description: Флаг — игра ещё не вышла
              type: boolean
        platforms:
          description: Поддерживаемые платформы
          type: object
          properties:
            windows:
              type: boolean
            mac:
              type: boolean
            linux:
              type: boolean
        metacritic:
          description: Оценка Metacritic
          type: object
          properties:
            score:
              description: Числовая оценка (0–100)
              type: integer
            url:
              description: Ссылка на страницу Metacritic
              type: string
        recommendations:
          description: Количество рекомендаций в Steam
          type: integer
        achievements:
          description: Количество достижений
          type: integer
        editions:
          description: Список доступных изданий игры
          type: array
          items:
            $ref: '#/components/schemas/GiftEdition'
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
    GiftEdition:
      type: object
      properties:
        edition:
          description: Название издания
          type: string
        packageId:
          description: >-
            Идентификатор пакета в Steam. Передается в поле `target.packageId`
            при создании намерения.
          type: integer
        regions:
          description: Список регионов с ценами для данного издания
          type: array
          items:
            type: object
            properties:
              region:
                description: Двухбуквенный код региона (ISO 3166-1 alpha-2)
                type: string
                example: US
              paymentAmount:
                description: Сумма к оплате в копейках (RUB)
                type: integer
              paymentCurrency:
                description: Валюта оплаты
                type: string
                example: RUB
              paymentAmountFull:
                description: Сумма без скидки в копейках (только если есть скидка)
                type: integer
              discountPercent:
                description: Размер скидки в процентах (только если есть скидка)
                type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````